Debian Bug report logs - #101919
at generates incorrect jobs when username is 9 characters

version graph

Package: at; Maintainer for at is Ansgar Burchardt <ansgar@debian.org>; Source for at is src:at.

Reported by: Martin Samuelsson <debianbts@cos.user.lysator.liu.se>

Date: Fri, 22 Jun 2001 14:04:48 UTC

Severity: important

Tags: patch

Merged with 17561, 112308, 115295, 298412

Found in versions 3.1.8-10, 3.1.8-10.1, 3.1.8-11, 3.1.8-2

Fixed in version at/3.1.9

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Forwarded to 17561-forwarded@bugs.debian.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Siggy Brentrup <bsb@winnegan.de>:
Bug#101919; Package at. Full text and rfc822 format available.

Acknowledgement sent to Martin Samuelsson <cosis@lysator.liu.se>:
New Bug report received and forwarded. Copy sent to Siggy Brentrup <bsb@winnegan.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Samuelsson <cosis@lysator.liu.se>
To: submit@bugs.debian.org
Subject: at generates incorrect jobs when username is 9 characters
Date: Fri, 22 Jun 2001 15:48:09 +0200
Package: at
Version: 3.1.8-10

I experienced a problem with at & atd today. It seem to occur when having a username which is 9 characters long. The problem is that it is possible to submit a job with at, but atd isn't able to execute it.

I wrote a command almost like this:

"
shellprompt% ; echo 'echo text|mail cosis@example.com'|at 02:42
warning: commands will be executed using /bin/sh
job 99 at 2001-06-23 02:42
"

Everything looks ok here. But when atd picks up the job it syslogs something like this:

"
Jun 23 02:42:06 elvisp atd[29417]: File a0005400fc9328 is in wrong format - aborting
"

The job stays in the queue and the error message gets logged everytime atd trys to parse the file.

I find it a little odd that "at" generates files that look currupted to "atd". I think that the correct thing would be that "at" prints an error message and refuses to create a job instead of creating a corrupted file.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#101919; Package at. Full text and rfc822 format available.

Acknowledgement sent to Siggy Brentrup <bsb@winnegan.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 101919@bugs.debian.org (full text, mbox):

From: Siggy Brentrup <bsb@winnegan.de>
To: Martin Samuelsson <cosis@lysator.liu.se>
Cc: 101919@bugs.debian.org
Subject: Re: Bug#101919: at generates incorrect jobs when username is 9 characters
Date: 22 Jun 2001 18:15:27 +0200
Martin Samuelsson <cosis@lysator.liu.se> writes:

> Package: at
> Version: 3.1.8-10

> I experienced a problem with at & atd today. It seem to occur when
> having a username which is 9 characters long. The problem is that it
> is possible to submit a job with at, but atd isn't able to execute
> it.

Thanks for reporting, I never noticed this. Traditionally *nix
usernames were limited to 8 characters, this limit is hardcoded in
atd.

> I wrote a command almost like this:

> "
> shellprompt% ; echo 'echo text|mail cosis@example.com'|at 02:42
> warning: commands will be executed using /bin/sh
> job 99 at 2001-06-23 02:42
> "

> Everything looks ok here. But when atd picks up the job it syslogs
> something like this:

> "
> Jun 23 02:42:06 elvisp atd[29417]: File a0005400fc9328 is in wrong format - aborting
> "

> The job stays in the queue and the error message gets logged
> everytime atd trys to parse the file.

> I find it a little odd that "at" generates files that look currupted
> to "atd". I think that the correct thing would be that "at" prints
> an error message and refuses to create a job instead of creating a
> corrupted file.

I don't think this is the right solution, atd should accept long
usernames. In the meantime you can inhibit unprocessible jobs to be
queued by putting all your usernames longer than 8 characters into
/etc/at.deny.


Thanks
  Siggy

PS: please wrap lines to make your mail more readable.
-- 
Siggy Brentrup - bsb@winnegan.de - http://www.winnegan.de/
****** ceterum censeo javascriptum esse restrictam *******




Merged 101919 115295. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 17561 101919 112308 115295. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug had been forwarded to <17561-forwarded@bugs.debian.org>. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter. Request was from Martin Samuelsson <cos@lysator.liu.se> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter. Request was from Martin Samuelsson <debianbts@cos.user.lysator.liu.se> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#101919; Package at. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Hankins <jhankins@homewood.k12.al.us>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #27 received at 101919@bugs.debian.org (full text, mbox):

From: Jonathan Hankins <jhankins@homewood.k12.al.us>
To: 101919@bugs.debian.org
Subject: Re: Bug#101919: at generates incorrect jobs when username is 9 characters
Date: Thu, 31 Mar 2005 10:59:06 -0600
Usernames longer than 8 characters work in 3.1.8-11.  Can this bug
report be closed?

Thanks,

-Jonathan Hankins

-- 
--------------------------------------------------------------------------
Jonathan Hankins	Homewood City Schools

jhankins@homewood.k12.al.us
--------------------------------------------------------------------------



Merged 17561 101919 112308 115295 298412. Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mathis Dirksen-Thedens <mathis@jesusfan.de>, Ryan Murray <rmurray@debian.org>, Siggy Brentrup <bsb@winnegan.de>, Ryan Murray <rmurray@cyberhqz.com>, Jonathan Hankins <jhankins@homewood.k12.al.us>, debian-devel@lists.debian.org, debian-newmaint@lists.debian.org, debian-qa@lists.debian.org, debian-qa-packages@lists.debian.org, Ryan Murray <rmurray@debian.org>:
Bug#101919; Package at. Full text and rfc822 format available.

Acknowledgement sent to Martin Samuelsson <debianbts@cos.user.lysator.liu.se>:
Extra info received and forwarded to list. Copy sent to Mathis Dirksen-Thedens <mathis@jesusfan.de>, Ryan Murray <rmurray@debian.org>, Siggy Brentrup <bsb@winnegan.de>, Ryan Murray <rmurray@cyberhqz.com>, Jonathan Hankins <jhankins@homewood.k12.al.us>, debian-devel@lists.debian.org, debian-newmaint@lists.debian.org, debian-qa@lists.debian.org, debian-qa-packages@lists.debian.org, Ryan Murray <rmurray@debian.org>. Full text and rfc822 format available.

Message #36 received at 101919@bugs.debian.org (full text, mbox):

From: Martin Samuelsson <debianbts@cos.user.lysator.liu.se>
To: 101919@bugs.debian.org
Subject: Re: "at" package unmaintained??
Date: Tue, 26 Jul 2005 16:56:06 +0200
Mathis Dirksen-Thedens @ 2005-07-26 (Tuesday), 15:56 (+0200)
> Hi,
> Ryan Murray did not answer my email which I sent some months ago, so I propose
> someone helps him with his work and takes over the "at" package. Most of the
> bugs are very old, and usernames longer than 8 chars are STILL NOT WORKING,
> though http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=101919 says they would.
> I tested it and it did NOT work.
> This is getting on my nerves, because I have to reinstall my patched "at"
> package every time "apt-get upgrade" overwrites it with the old one.
> Could please anybody take over and fix the mess?
> 
> http://packages.debian.org/stable/admin/at
> http://packages.qa.debian.org/a/at.html
> 
> Greetings from Germany,
> 	Mathis Dirksen-Thedens

It's been a fair while since I reported #101919. That's for sure. For me
though, that was the last time I encountered it. Simply because I havn't
had user names longer than eight chars since then.

Given what you write, I take it that it still does not work with
3.1.8-11 and that's a shame!

Could you please provide some more information on your patched version?
And DO keep the bug Cc:ed at all times when contributing new information
on a bug. That's really the only way to make anyone else but the
maintainer able to help out.

I find nothing about pathes in the mail log for #101919, but a quick
glance at the others suggests at least two patches to fix the problem.
Is one of them to be prefered over the other(s)?
--
/Martin



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#101919; Package at. Full text and rfc822 format available.

Acknowledgement sent to Ryan Murray <rmurray@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #41 received at 101919@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: Martin Samuelsson <debianbts@cos.user.lysator.liu.se>, 101919@bugs.debian.org
Subject: Re: Bug#101919: "at" package unmaintained??
Date: Tue, 26 Jul 2005 11:42:15 -0700
[Message part 1 (text/plain, inline)]
On Tue, Jul 26, 2005 at 04:56:06PM +0200, Martin Samuelsson wrote:
> I find nothing about pathes in the mail log for #101919, but a quick
> glance at the others suggests at least two patches to fix the problem.
> Is one of them to be prefered over the other(s)?

Yes, the one I wrote and applied already, which is pending.  It'll be uploaded
after I finish testing it, and ftp-master is back.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Samuelsson <debianbts@cos.user.lysator.liu.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 17561-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 17561-close@bugs.debian.org
Subject: Bug#17561: fixed in at 3.1.9
Date: Tue, 02 Aug 2005 02:47:16 -0700
Source: at
Source-Version: 3.1.9

We believe that the bug you reported is fixed in the latest version of
at, which is due to be installed in the Debian FTP archive:

at_3.1.9.dsc
  to pool/main/a/at/at_3.1.9.dsc
at_3.1.9.tar.gz
  to pool/main/a/at/at_3.1.9.tar.gz
at_3.1.9_i386.deb
  to pool/main/a/at/at_3.1.9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 17561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated at package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  2 Aug 2005 02:34:45 -0700
Source: at
Binary: at
Architecture: source i386
Version: 3.1.9
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 at         - Delayed job execution and batch processing
Closes: 13603 17561 53586 61604 68364 70928 70988 79650 84351 84791 130023 133812 142810 153700 162677 173635 175211 193396 194674 200627 202617 205523 220336 239394 251058 257074 269440
Changes: 
 at (3.1.9) unstable; urgency=low
 .
   * Apply rewritten parser patch (closes: #70928)
   * Several changes to be more SUSv3 compliant (closes: #133812)
   * Remove yacc/flex generated files, and remove them in the clean target
   * Remove /usr/doc handling from scripts (closes :#261467)
   * use chown with : instead of . (closes: #205523)
   * Add two precisions to format strings (closes: #220336)
   * Fix manpage typos (closes: #153700, #175211)
   * Use --retry option of start-stop-daemon (closes: #84351)
   * Create /var/spool/cron/atjobs/.SEQ in the postinst (closes: #142810)
   * Always rescan the queue after signals (closes: #194674)
   * use 89 11 as parameters to update-rc.d defaults (closes: #200627)
   * hold privs longer when creating pid file (closes: #13603)
   * Add stdio.h for stderr to parsetime.y (closes: #130023)
   * Use invoke-rc.d in maintainer scripts (closes: #162677)
   * Allow usernames > 8 characters.  Don't write out usernames with at that
     atd will later call corrupt (closes: #17561)
   * Run as user daemon, rather than root (from 3.1.8-11ubuntu3) (closes: #251058)
     + Derooted /usr/bin/at.
     + at.c:
       - Keep real uid, only switch to daemon gid when unlinking files (the
         directory is daemon-group writeable, but the job files are owned by user).
       - Instead of creating the job file and then fchown()'ing it (which does
         not work when running as non-root), change to the real gid when
         creating the file.
     + atd.c:
       - Don't check that the file gid is equal to the execution gid (since job
         files are now always owned by "daemon".
       - setgid() to the user's gid, not to the file gid for job execution.
     + debian/rules:
       - Install /usr/bin/at as daemon:daemon 6555 instead of root:root 4755
         (running as user daemon is necessary to be allowed to send a signal to
          atd.)
       - Install /etc/at.deny as root:daemon 640 instead of root:root 0600.
     + debian/postinst:
       - Make /var/spool/cron/{atjobs,atspool} writeable for group "daemon".
       - Update permissions of /etc/at.{allow,deny} if we upgrade from a previous
         version and there is no statoverride for these files.
   * Update standards version (closes: #239394)
   * Increment tm_mday for at "time" case, rather than hardcoded increment of
     a day in seconds.  (closes: #61604)
   * Print usage on "at -c" (closes: #202617)
   * Increment tm_year when the month and day are earlier than current
     (closes: #79650)
   * Drop ISO timeformat; following SUSv3 instead (closes: #53586)
   * Add optional PAM support based on the submitted patch (closes: #68364)
   * Use AC_FUNC_GETLOADAVG and getloadavg.c from XEmacs, so that the
     system function is used first, then the getloadavg.c from at if it isn't
     available (closes: #269440)
   * Fix permissions of /var/spool/cron/at* in the deb files to match what is
     used now
   * Remove /usr/sbin/atrun; the packaging is set up for running as a daemon.
   * Align batch(1) with SUSv3 by accepting no arguments (closes: #70988)
   * Update description of -v option to clarify that it prints the time
     before the job submission starts (closes: #257074)
   * Update description of submission to uppercase queues (closes: #84791)
   * Update atq format description (closes: #193396)
   * Return EXIT_FAILURE if one jobid fails for -c and -r (closes: #173635)
Files: 
 d1df85e6898471736141ccb54fb7ddc6 501 admin important at_3.1.9.dsc
 795f1d7ba2f77c5d85ec3e5abe6da46c 97949 admin important at_3.1.9.tar.gz
 3b015ac30f98e55cb9a3972329a12445 41522 admin important at_3.1.9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC7z94N2Dbz/1mRasRAmz/AJ9U4XzfhawSEJhew/1nZPVxClVBYACfUsNn
+98uyJlwah5ywRystSzuOlU=
=E7Hk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 12:31:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:57:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.